/*
   model/triangle.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "model/triangle.h"

namespace model
{

Triangle::Triangle(const math::Vector3f &v0, const math::Vector3f &v1, const math::Vector3f &v2) :
		triangle_v0(v0),
		triangle_v1(v1),
		triangle_v2(v2)
{
	triangle_detail = false;
}

Triangle::Triangle(const math::Vector3f &v0, const  math::Vector3f &v1, const math::Vector3f &v2, const math::Vector3f &normal, const bool detail) :
		triangle_v0(v0),
		triangle_n0(normal),
		triangle_v1(v1),
		triangle_n1(normal),
		triangle_v2(v2),
		triangle_n2(normal),
		triangle_normal(normal)
{
	triangle_detail = detail;
}

Triangle::~Triangle()
{
}

}
